Google Web Toolkit
Search Google Code:

# Interface SerializationStreamWriter

public interface SerializationStreamWriter
An interface for writing values from a stream.

## Methods

writeBoolean(boolean) |
writeByte(byte) |
writeChar(char) |
writeDouble(double) |
writeFloat(float) |
writeInt(int) |
writeLong(long) |
writeObject(Object) |
writeShort(short) |
writeString(String) |

## Method Detail

### writeBoolean

public void writeBoolean(boolean value)
throws SerializationException

#### Parameters

value

### writeByte

public void writeByte(byte value)
throws SerializationException

#### Parameters

value

### writeChar

public void writeChar(char value)
throws SerializationException

#### Parameters

value

### writeDouble

public void writeDouble(double value)
throws SerializationException

#### Parameters

value

### writeFloat

public void writeFloat(float value)
throws SerializationException

#### Parameters

value

### writeInt

public void writeInt(int value)
throws SerializationException

#### Parameters

value

### writeLong

public void writeLong(long value)
throws SerializationException

#### Parameters

value

### writeObject

public void writeObject(Object value)
throws SerializationException

#### Parameters

value

### writeShort

public void writeShort(short value)
throws SerializationException

#### Parameters

value

### writeString

public void writeString(String value)
throws SerializationException

#### Parameters

value